/* An example of using the dissidents rx_intui.library */

/* Open a window on WB. Let it be the default IDCMP. */
wind=GetWindow('Drawing a box',,,,,,,,,)
IF wind == '' | wind == 0 THEN SAY 'Window open error'

/* Note that I set COMPLEMENT drawmode. So if the box covers the printed */
/* message, the letters will be reversed as long as I draw the box with  */
/* the same colors. This can be used as a "highlighting box" effect. Note */
/* that redrawing the box again, reverses the highlight (original state). */
/* If a wanted a box to erase over text/graphics, I'd use JAM1 or JAM2. */
err=SetDraw(wind,3,1,2)

/* Print a message */
mytext = 'Click in window to see the box drawn using current pens, mode'
err=Text(mytext,wind,10,40)

/* Loop until CLOSEWINDOW, using any MOUSEBUTTON select to draw a box */
class = 1
DO WHILE class > 0
spec=WaitMsg(wind)
PARSE var spec class part1 part2 part3
IF class = 3 THEN DO
err=FBox(wind,part2,part3,200,100)
class=0 /* knock us out */
END
END

/* Wait for - ANY - IDCMP message to drop us through */
msg=WaitMsg(wind)

/* Close the window, thus freeing any resources for it. */
err=EndWindow(wind)
