/* */

/* Get a FileIO structure */
fileio = GetFIO()
IF fileio == '' | fileio == 0 THEN SAY 'FileIO allocation error'

/* Let's set up a list for this fileio with a few strings. I'll use variables */
/* in some of the calls to AddEntry so that you can see what's acceptable.    */
entryNum = AddEntry(fileio,1,'string 1')
IF entryNum < 0 THEN SAY "Out of memory"

string = 'string 2'
entryNum = AddEntry(fileio,2,string)
IF entryNum < 0 THEN SAY "Out of memory"

thirdID = 3
entryNum = AddEntry(fileio,thirdID,'string 3')
IF entryNum < 0 THEN SAY "Out of memory"

/* Display that list of strings for the user to do the selection. Note SPECIAL_REQ flag */
string = FIOWindow(fileio,'Select One',32768,,'Initial String',,,0)
SAY string

/* Now free the fileio */
entryNum = EndFIO(fileio)
