/* Example of MULTIPLE_FILES. Note that you can do this with SPECIAL_REQ, too */

/* Get a FileIO structure */
fileio=GetFIO()
IF fileio == '' | fileio == 0 THEN SAY 'FileIO allocation error'

/* Do the File Requester with MULTIPLE_FILES and INFO_SUPPRESS */
path=FioWindow(fileio,'Make numerous selections',128+64,,,,,0)
IF path == '' THEN SAY 'Cancelled'

IF path > '' THEN DO
/* Now let's go through the list, and print out the entire path for each selection */

/* First, we call FIRSTENTRY once to get the first selection. */
fname = FirstEntry(fileio)

DO WHILE fname > ''

 /* Make the full path (ie append the filename to the dir) */
 /* If we were using CustomReq(), we would skip this */
fname = GetPath(fileio,fname)

/* Print out this selection */
SAY fname

/* Get the next selection */
fname = NextEntry(fileio)

 END
 END

/* Free the FileIO */
path=EndFIO(fileio)
